#ifndef TCPSERVER_H
#define TCPSERVER_H

#include <QObject>
#include <QTcpServer>
#include <QTcpSocket>
#include <QDateTime>
#include <QNetworkAccessManager>
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QSslConfiguration>
#include <QJsonDocument>
#include <QJsonObject>
#include <QJsonValue>
#include <QJsonArray>
#include <QJsonParseError>
#include <QVariant>

class TcpServer : public QObject
{
    Q_OBJECT
public:
    explicit TcpServer(QObject *parent = nullptr);
    void start();

signals:
    void tcp_log(QString log);

public slots:
    void new_incomming();
    void read_data();
    void finishedSlot(QNetworkReply *reply);

private:
    QTcpServer *svr;
    QTcpSocket *so;

    QNetworkAccessManager *networkManager;
    QSslConfiguration config;
};

#endif // TCPSERVER_H
